Subject: Re: bug#7118: 24.0.50; dired-subdir-alist, dired-directory, etc.: necessarily buffer-local

From: Stefan Monnier <[email-masked]>
Date: Sat, 16 Jul 2011 22:24:37 -0400

>> But IMHO, neither changing `revert-buffer-function' nor
>> `dired-subdir-alist' and `dired-directory' is really a bug fix.  Yes,
>> as they are now is error prone, but the uses in the sources are
>> already correct. That should be a wishlist item for 24.2.

Indeed.  Also always be extra careful that none of the `setq'
(resulting from removal of make-local-variable) can run before the
make-variable-buffer-local.  This is usually trivially the case, but
problems can appear if the setq is within an autoloaded expression or
when several files are involved.

        Stefan